%global hardened_flags -pie -Wl,-z,relro,-z,now

Summary: Mail processing program
Name: procmail
Version: 3.22
Release: 7%{?dist}
License: GPLv2+ or Artistic
URL: https://github.com/BuGlessRB/procmail

Source0: https://github.com/BuGlessRB/procmail/archive/refs/tags/v%{version}.tar.gz
Source1: procmailrc

Patch3000: procmail-3.22-rhconfig.patch
Patch3001: procmail-3.15.1-man.patch
Patch3002: procmail_3.22-8.debian.patch
Patch3004: procmail-3.22-truncate.patch
Patch3005: procmail-3.22-ipv6.patch
Patch3006: procmail-3.22-getline.patch
Patch3007: procmail-3.22-CVE-2014-3618.patch
Patch3008: procmail-3.22-crash-fix.patch
Patch3009: procmail-3.22-CVE-2017-16844.patch
Patch3010: procmail-3.22-coverity-scan-fixes.patch

BuildRequires: make gcc

%description
Procmail can be used to create mail-servers, mailing lists, sort your
incoming mail into separate folders/files (real convenient when subscribing
to one or more mailing lists or for prioritising your mail), preprocess
your mail, start any programs upon mail arrival (e.g. to generate different
chimes on your workstation for different types of mail) or selectively
forward certain incoming mail automatically to someone.

%prep
%autosetup -p1 -n %{name}-%{version}

find examples -type f | xargs chmod 644

%build
make RPM_OPT_FLAGS="$(getconf LFS_CFLAGS)" autoconf.h
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS %{?hardened_flags} -Wno-comments $(getconf LFS_CFLAGS)"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,5}

make \
    BASENAME=${RPM_BUILD_ROOT}%{_prefix} MANDIR=${RPM_BUILD_ROOT}%{_mandir} \
    install

cp debian/mailstat.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
cp -p %{SOURCE1} telsas_procmailrc

%files
%doc Artistic COPYING FAQ FEATURES HISTORY README KNOWN_BUGS examples telsas_procmailrc debian/QuickStart debian/README.Maildir
%{_bindir}/formail
%attr(2755,root,mail) %{_bindir}/lockfile
%{_bindir}/mailstat
%attr(0755,root,mail) %{_bindir}/procmail
%{_mandir}/man[15]/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.22-7
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.22-6
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.22-5
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 09 2023 Xin Cheng <denisecheng@tencent.com> - 3.22-4
- Update URL

* Wed Mar 08 2023 Xin Cheng <denisecheng@tencent.com> - 3.22-3
- Update Source0 URL

* Mon Feb 13 2023 Xin Cheng <denisecheng@tencent.com> - 3.22-2
- Rebuild

* Tue Jan 31 2023 Xin Cheng <denisecheng@tencent.com> - 3.22-1
- Init package